std::allocator::max_size(3)

NAME
std::allocator::max_size - std::allocator::max_size

Synopsis
   size_type max_size() const throw(); (until C++11)
                        (since C++11)
   size_type max_size() const noexcept; (deprecated in C++17)
                        (removed in C++20)
   Returns the maximum theoretically possible value of n, for which the call
   allocate(n, 0) could succeed.
   In most implementations, this returns std::numeric_limits<size_type>::max() /
   sizeof(value_type).

Parameters
   (none)

Return value
   The maximum supported allocation size

See also
   max_size returns the maximum object size supported by the allocator
   [static] (public static member function of std::allocator_traits<Alloc>)